
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>UI基础之UITableView案例团购----自定义cell利用xib / 憋错料</title>

    <meta name="description" content="UI基础之UITableView案例团购----自定义cell利用xib 一:模型数据: #import &lt;Foundation/Foundation.h&gt; @interface LLGroup : NSObject /** * icon */ @property (nonatomic, copy) NSString *icon; /** * title */ @property (nonatomic, copy) NSString *title; /** * buyCount */ @property (nonatomic, copy) NSString ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">UI基础之UITableView案例团购----自定义cell利用xib</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>一：模型数据：</p>
<pre>#import &lt;Foundation/Foundation.h&gt;

@interface LLGroup : NSObject

/**
 *  icon
 */
@property (nonatomic, copy) NSString *icon;

/**
 *  title
 */
@property (nonatomic, copy) NSString *title;

/**
 *  buyCount
 */
@property (nonatomic, copy) NSString *buyCount;

/**
 *  price
 */
@property (nonatomic, copy) NSString *price;

+ (instancetype)groupWithDic:(NSDictionary *)dic;
- (instancetype)initWithDic:(NSDictionary *)dic;

+ (NSMutableArray *)groupList;

@end</pre>
<pre>#import "LLGroup.h"

@implementation LLGroup

+ (instancetype)groupWithDic:(NSDictionary *)dic
{
    return [[self alloc] initWithDic:dic];
}
- (instancetype)initWithDic:(NSDictionary *)dic
{
    if (self = [super init]) {

        [self setValuesForKeysWithDictionary:dic];
    }
    return self;
}

+ (NSMutableArray *)groupList
{
    NSString *path = [[NSBundle mainBundle] pathForResource:@"tgs.plist" ofType:nil];
    NSArray *dicArray = [NSArray arrayWithContentsOfFile:path];

    NSMutableArray *tmpArray = [[NSMutableArray alloc] initWithCapacity:dicArray.count];
    for (NSDictionary *dic in dicArray) {

        LLGroup *group = [LLGroup groupWithDic:dic];
        [tmpArray addObject:group];
    }
    return tmpArray;
}

@end</pre>
<p>二：自定义cell：利用xib自定义cell （</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuaXRibG9nLmNvbS9ibG9nLzY3Mzg2My8yMDE0MTEvMjgxNzAxMTY1MTIyNzMxLnBuZw==.jpg" /></p>
<pre>#import &lt;UIKit/UIKit.h&gt;
@class LLGroup;
@interface LLGroupCell : UITableViewCell

/**
 *  数据模型
 */
@property (nonatomic, strong) LLGroup *group;

+ (instancetype)groupCellWith:(UITableView *)tableView;

@end</pre>
<pre>#import "LLGroupCell.h"
#import "LLGroup.h"
@interface LLGroupCell ()

@property (weak, nonatomic) IBOutlet UIImageView *iconView;
@property (weak, nonatomic) IBOutlet UILabel *nameView;

@property (weak, nonatomic) IBOutlet UILabel *priceView;
@property (weak, nonatomic) IBOutlet UILabel *buyCountView;

@end

@implementation LLGroupCell

- (void)awakeFromNib {
    // Initialization code
}

+ (instancetype)groupCellWith:(UITableView *)tableView
{
    static NSString *ID = @"groupCell";
    LLGroupCell *cell = [tableView dequeueReusableCellWithIdentifier:ID];
    if (!cell) {

        cell = [[[NSBundle mainBundle] loadNibNamed:@"LLGroupCell" owner:nil options:nil] lastObject];
    }

    // 设置cell选中颜色
    UIImageView *selectedImageView = [[UIImageView alloc] initWithImage:[UIImage imageNamed:@"buttonorange"]];
    UIImageView *backgroundImageView = [[UIImageView alloc] initWithImage:[UIImage imageNamed:@"buttonorange"]];
    cell.backgroundView = backgroundImageView;
    cell.selectedBackgroundView = selectedImageView;

    return cell;
}

- (void)setGroup:(LLGroup *)group
{
    _group = group;

    self.iconView.image = [UIImage imageNamed:group.icon];
    self.nameView.text = group.title;
    self.buyCountView.text = [NSString stringWithFormat:@"已购买%@人", group.buyCount];
    self.priceView.text = [NSString stringWithFormat:@"￥%@", group.price];

}

@end</pre>
<p>设置cell子控件数据：自定义cell应该拥有模型数据，在setter方法中赋值是最合适的</p>
<p>三：自定义footer（利用xib)</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuaXRibG9nLmNvbS9ibG9nLzY3Mzg2My8yMDE0MTEvMjgxNzA2MTc0OTYyOTA3LnBuZw==.jpg" /></p>
<pre>#import &lt;UIKit/UIKit.h&gt;

@class LLFooterView;
@protocol LLFooterViewDelegate &lt;NSObject&gt;

@optional
- (void)footerViewDidClickLoadBtn:(LLFooterView *)footerView;

@end

@interface LLFooterView : UIView

@property (nonatomic, weak) id&lt;LLFooterViewDelegate&gt; delegate;

+ (instancetype)footerView;

@end</pre>
<pre>#import "LLFooterView.h"

@interface LLFooterView ()

@property (weak, nonatomic) IBOutlet UIButton *loadBtn;
@property (weak, nonatomic) IBOutlet UIView *loadingView;
- (IBAction)clickBtn:(UIButton *)sender;

@end

@implementation LLFooterView

+ (instancetype)footerView
{
    LLFooterView *footerView = [[[NSBundle mainBundle] loadNibNamed:@"LLFooterView" owner:nil options:nil] lastObject];
    return footerView;
}

// 当xib加载完毕后系统自动调用
- (void)awakeFromNib
{
    self.loadBtn.backgroundColor = [UIColor colorWithRed:241/255.0 green:170/255.0 blue:102/255.0 alpha:1.0];

    // 设置按钮圆角
    self.loadBtn.layer.cornerRadius = 10.0;
    self.loadBtn.layer.masksToBounds = YES;
}

- (IBAction)clickBtn:(UIButton *)sender {

    self.loadingView.hidden = NO;
    self.loadingView.backgroundColor = [UIColor colorWithRed:241/255.0 green:170/255.0 blue:102/255.0 alpha:1.0];
    self.loadingView.layer.cornerRadius = 10.0;
    self.loadingView.layer.masksToBounds = YES;
    sender.hidden = YES;

    dispatch_after(dispatch_time(DISPATCH_TIME_NOW, (int64_t)(1.0 * NSEC_PER_SEC)), dispatch_get_main_queue(), ^{

        if ([self.delegate respondsToSelector:@selector(footerViewDidClickLoadBtn:)]) {

            [self.delegate footerViewDidClickLoadBtn:self];
        }
        self.loadingView.hidden = YES;
        self.loadBtn.hidden = NO;
    });

}
@end</pre>
<p>这里用到了代理方法：按钮点击后tableView监听按钮的点击事件</p>
<p>四：自定义header</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuaXRibG9nLmNvbS9ibG9nLzY3Mzg2My8yMDE0MTEvMjgxNzA4NTE4MDk4ODM1LnBuZw==.jpg" /></p>
<pre>#import &lt;UIKit/UIKit.h&gt;

@interface LLHeaderView : UIView

+ (instancetype)headerView;

@end</pre>
<pre>#import "LLHeaderView.h"
#define IMAGEW 260
@interface LLHeaderView ()&lt;UIScrollViewDelegate&gt;

@property (weak, nonatomic) IBOutlet UIScrollView *scrollView;

@property (weak, nonatomic) IBOutlet UIPageControl *pageControl;
@property (nonatomic, strong) NSTimer *timer;

@end

@implementation LLHeaderView

+ (instancetype)headerView
{
    LLHeaderView *headerView = [[[NSBundle mainBundle] loadNibNamed:@"LLHeaderView" owner:nil options:nil] lastObject];
    headerView.backgroundColor =  [UIColor colorWithRed:241/255.0 green:170/255.0 blue:102/255.0 alpha:1.0];
    return headerView;
}

- (void)awakeFromNib
{
    // 1,加载scrollView;
    [self loadScrollView];

    // 2,控制pageControl
    self.scrollView.delegate = self;

    // 3,自动滚动
    [self startTimer];
}

- (void)nextImage
{
    NSInteger page = self.pageControl.currentPage;
    if (page == self.pageControl.numberOfPages - 1) {
        page = 0;
    } else {
        page++;
    }
    self.scrollView.contentOffset = CGPointMake(page * IMAGEW, 0);
}

#pragma mark - scrollView的代理
- (void)scrollViewDidScroll:(UIScrollView *)scrollView
{
    CGPoint point = self.scrollView.contentOffset;
    self.pageControl.currentPage = (point.x + IMAGEW * 0.5) / IMAGEW;

}

// 开启定时器
- (void)startTimer
{
    NSTimer *timer = [NSTimer timerWithTimeInterval:2.0 target:self selector:@selector(nextImage) userInfo:nil repeats:YES];
    self.timer = timer;
    NSRunLoop * loop = [NSRunLoop currentRunLoop];
    [loop addTimer:self.timer forMode:NSRunLoopCommonModes];

}

- (void)stopTimer
{
    [self.timer invalidate];
    self.timer = nil;
}

- (void)loadScrollView
{
    int count = 5;
//    CGFloat imageW = 260;
    CGFloat imageY = 0;
    CGFloat imageH = 100;
    for (int i = 0; i&lt;count; i++) {

        UIImageView *imageView = [[UIImageView alloc] init];
        [self.scrollView addSubview:imageView];
        CGFloat imageX = i * IMAGEW;
        NSString *name = [NSString stringWithFormat:@"ad_0%d", i];
        imageView.image = [UIImage imageNamed:name];
        imageView.frame = CGRectMake(imageX, imageY, IMAGEW, imageH);
    }
    self.scrollView.contentSize = CGSizeMake(count * IMAGEW, 0);
    self.scrollView.showsHorizontalScrollIndicator = NO;
    self.scrollView.pagingEnabled = YES;
    self.pageControl.currentPageIndicatorTintColor = [UIColor redColor];
    self.pageControl.pageIndicatorTintColor = [UIColor blueColor];
    self.pageControl.numberOfPages = count;
}

- (void)scrollViewWillBeginDragging:(UIScrollView *)scrollView
{
    [self stopTimer];

}

- (void)scrollViewDidEndDragging:(UIScrollView *)scrollView willDecelerate:(BOOL)decelerate
{
    [self startTimer];
}

@end</pre>
<p>五：控制器</p>
<pre>#import "ViewController.h"
#import "LLGroup.h"
#import "LLGroupCell.h"
#import "LLFooterView.h"
#import "LLHeaderView.h"
@interface ViewController ()&lt;UITableViewDataSource, LLFooterViewDelegate&gt;

@property (nonatomic, weak) UITableView *tableView;
@property (nonatomic, strong) NSMutableArray *groups;

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
    [self loadTableView];
    NSLog(@"%@", NSHomeDirectory());
}

#pragma mark - 加载tableView
- (void)loadTableView
{
    // 1，创建tableView
    UITableView *tableView = [[UITableView alloc] initWithFrame:CGRectMake(0, 0, self.view.frame.size.width, self.view.frame.size.height) style:UITableViewStylePlain];
    [self.view addSubview:tableView];
    self.tableView = tableView;

    // 2, 设置tableView的数据源对象
    self.tableView.dataSource = self;

    // 3,设置tableView的行高
    self.tableView.rowHeight = 60;

    // 4,设置tableView的分割线的颜色
    self.tableView.separatorColor = [UIColor colorWithRed:0/255.0 green:255/255.0 blue:0/255.0 alpha:1.0];

    // 5,设置tableView的footerView
    LLFooterView *footerView = [LLFooterView footerView];
    self.tableView.tableFooterView = footerView;

    // 6，设置tableView为footerView的代理
    footerView.delegate = self;

    // 7, 设置tableView的headerView
    LLHeaderView *headerView = [LLHeaderView headerView];
    self.tableView.tableHeaderView = headerView;

}

#pragma mark - footerView的代理方法
- (void)footerViewDidClickLoadBtn:(LLFooterView *)footerView
{
    LLGroup *group = [[LLGroup alloc] init];
    group.title = @"兰州拉面";
    group.price = @"20";
    group.buyCount = @"200";
    group.icon = @"2c97690e72365e38e3e2a95b934b8dd2";

    [self.groups addObject:group];

    // 刷新数据：因为tableView并不知道数据中多了一行，因此不能用刷新单行的方法，会报错
    [self.tableView reloadData];

    // 将加载后的行自动上滚
    NSIndexPath *path = [NSIndexPath indexPathForRow:self.groups.count - 1 inSection:0];
    [self.tableView scrollToRowAtIndexPath:path atScrollPosition:UITableViewScrollPositionBottom animated:YES];
}

#pragma mark - 数据源方法
- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
    return self.groups.count;
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    // 1，创建cell
    LLGroupCell *cell = [LLGroupCell groupCellWith:tableView];
    // 2,设置数据
    cell.group = self.groups[indexPath.row];

    return cell;

}

#pragma mark - 懒加载数据
- (NSMutableArray *)groups
{
    if (!_groups) {

        _groups = [LLGroup groupList];
    }
    return _groups;
}
@end</pre>
<p>效果：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuaXRibG9nLmNvbS9ibG9nLzY3Mzg2My8yMDE0MTEvMjgxNzExMDM2ODQ3MzgwLnBuZw==.jpg" /></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 19:07:44 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/color/" title="color">color</a>, <a href="https://www.biecuoliao.com/tag/style/" title="style">style</a>, <a href="https://www.biecuoliao.com/tag/des/" title="des">des</a>, <a href="https://www.biecuoliao.com/tag/http/" title="http">http</a>, <a href="https://www.biecuoliao.com/tag/blog/" title="blog">blog</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>UI基础之UITableView案例团购----自定义cell利用xib的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3ZqZPZ0.html" rel="bookmark">UI基础之UITableView案例QQ聊天界面</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				数据模型: #import &lt;Foundation/Foundation.h&gt; typedef enum{ LLMessageTypeMe, LLMessageTypeOther }LLMessageType; @interface LLMessage : NSObject /** * time */ @property (nonatomic, copy) NSString *time; /** * text */ @property (nonatomic, copy) NSString *t			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3OQe2oM.html" rel="bookmark">UI基础之UITableView案例微博----自定义cell利用代码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第一步:创建微博模型,完成字典转模型 #import &lt;Foundation/Foundation.h&gt; //#import &lt;UIKit/UIKit.h&gt; /** * 第一步:创建微博模型,完成字典转模型 */ @interface LLWeiBo : NSObject /** * icon */ @property (nonatomic, copy) NSString *icon; /** * name */ @property (nonatomic, copy) NSStri			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MXYNkw0.html" rel="bookmark">UI基础之UITableView案例QQ好友列表</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一:模型数据 LLFriend #import &lt;Foundation/Foundation.h&gt; @interface LLFriend : NSObject /** * icon */ @property (nonatomic, copy) NSString *icon; /** * intro */ @property (nonatomic, copy) NSString *intro; /** * name */ @property (nonatomic, copy) NSString			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3ZQrNL0.html" rel="bookmark">UI学习笔记---第十一天UITableView表视图高级-自定义cell</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				自定义cell,多类型cell混合使用,cell自适应高度 自定义cell就是创建一个UITableViewCell的子类 把cell上的空间创建都封装在子类中,简化viewController中的代码 cell中的空间如何显示Model中的信息 cell中声明一个Model类型的属性,viewController中获取到Model对象后赋值给cell的Model属性 cell中重写Model的setter方法,把Model对象中的内容重新赋值给各个控件 M和V不直接通信,C负责M和V之间进行通			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MmDzVX4.html" rel="bookmark">关于UITableView选中效果以及自定义cell上的控件响应事件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				tableView默认的点击效果是:点击cell:A,出现点击效果,点另一个cell:B的时候,A的点击效果才会消失. 1.对于tableView,比较常用的效果,是点击表格行,出现效果,点击完毕,效果消失 那么就要在代码里做一些设置.代码如下: -(void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath { [tableView deselectRowAtIndexPath			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Mz18dO4.html" rel="bookmark">UI基础之UITableView总结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一:性能问题 cell的工作:在程序执行的时候,能看到多少条,它就创建多少条数据,如果视图滚动那么再创建新显示的内容.(系统自动调用).即当一个cell出现在视野范围内的时候,就会调用创建一个cell.这样的逻辑看上去没有什么问题,但是真的没有任何问题吗? 当创建调用的时候,我们使用nslog打印消息,并打印创建的cell的地址.我们发现如果数据量非常大,用户在短时间内来回滚动的话,那么会创建大量的cell,一直开辟空间,且如果是往回滚,通过打印地址,我们会发现它并没有重用之前已经创建的cell			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MmbXrp0.html" rel="bookmark">IOS第八天&lpar;1&colon;UITableViewController团购&comma;点击底部&comma;xib加载更多&comma; 代理模式&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				******* HMViewController.h #import &quot;HMViewController.h&quot; #import &quot;HMTg.h&quot; #import &quot;HMTgCell.h&quot; #import &quot;HMTgFooterView.h&quot; @interface HMViewController () &lt;HMTgFooterViewDelegate&gt; @property (nonatomic, strong) NS			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4NndqB4.html" rel="bookmark">iOS UITableView表视图&lpar;3&rpar;自定义cell</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.自定义cell 2.多种cell 的混合使用 3.cell自适应高度 自定义cell就是创建一个UITableViewCell的子类. 把cell上的控件创建都封装在子类中,简化UIViewController中的代码 子视图控件添加到cell的contentView上 cell中的控件如何显示Model中的信息? cell中声明一个Model类型的属性,viewController中获取到Model对象后赋值给cell的Model属性,cell中重写Model的setter方法,把Mode			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MPWdoy4.html" rel="bookmark">UI基础之UITableView的基本使用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				UITableView控件 1,基本使用(required) UITableView有两种样式:grouped/plain 组/单行 UITableView需要?一个数据源(dataSource)来显示数据UITableView会向数据源查询一共有多少行数据以及每?行显示什么数据等 没有设置数据源的UITableView只是个空壳 凡是遵守UITableViewDataSource协议的OC对象,都可以是UITableView的数据源 展示数据的过程: (1)调用数据源的下面?法得知?一共有多少			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/AMDbPK3.html" rel="bookmark" class="title">用户名文件</a>
					<div>
						先来看看 /etc/passwd文件的内容. [[email protected] ~]# cat /etc/passwd | head root:x:0:0:root:/root:/bin/bash ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pRREx0.html" rel="bookmark" class="title">读&amp;gt&semi;&amp;gt&semi;&amp;gt&semi;&amp;gt&semi;白帽子讲Web安全&amp;lt&semi;&amp;lt&semi;&amp;lt&semi;&amp;lt&semi;摘要&srarr;我推荐的一本书</a>
					<div>
						&lt;白帽子讲Web安全&gt;吴翰清著 刚开始看这本书就被这本书吸引,感觉挺不错,给大家推荐下,最近读这本书,感觉不错的精华就记录下, 俗话说&gt;&gt;&gt;好脑袋不如一个烂笔头&lt;& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MmDApK4.html" rel="bookmark" class="title">二叉树高度，以及栈实现二叉树的先序，中序，后序遍历的非递归操作</a>
					<div>
						求解二叉树的高度 树是递归定义的,所以用递归算法去求一棵二叉树的高度很方便. #include &lt;iostream&gt; #include &lt;cstdio&gt; using names ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xR1kQ4.html" rel="bookmark" class="title">植树正当好时节 q2</a>
					<div>
						去年该局按照简政放权.放管结合.优化服务的改革要求,围绕商事制度改革主线,服务发展取得新成效:全面实施&quot;五证合一&quot;&quot;两证整合&quot;改革.2016年,全市新增市场主体 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4QA7Dl4.html" rel="bookmark" class="title">QMessageBox类学习：</a>
					<div>
						先来看一下最熟悉的QMessageBox::information.我们在以前的代码中这样使用过: QMessageBox::information(NULL, &quot;Title&quot;,  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0dA2LZ3.html" rel="bookmark" class="title">中国余数定理 1（codevs 3040）</a>
					<div>
						题目描述 Description 摘自算法导论...... 找出第k个被3,5,7除的时候,余数为2,3,2的数: 输入描述 Input Description 一个数k. 输出描述 Output D ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qa6jP3.html" rel="bookmark" class="title">centos 5 php5&period;6 安装imagemagick和imagick</a>
					<div>
						在百度查了好久,试验了好久,各种人写的各种不靠谱的帖子,通通失败,现在已经舍弃百度了,下面是我google出来的,经过验证后,很快实现了安装这俩扩展,介绍一下环境先,centos5 64bit,php ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M65GmG4.html" rel="bookmark" class="title">买书最低价问题</a>
					<div>
						设计思路 已知书的单价和优惠的规则,那么可以根据计算可以得到以下规律: 买5本书(包含五本)时,买的书不重复是最低价: 买6本书时,买一套(5本)和买1本(任意)是最低价: 买7本书时,买一套(5本) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xvPpL4.html" rel="bookmark" class="title">安卓开发里面可能遇到的空指针异常</a>
					<div>
						记录一下安卓开发中遇到的空指针异常: 第一个是:可能未在AndroidManifest.xml 里面定义Activity或者Service,或者路径写错了: 第二个是:当用到Bundle的时候,可能没 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0R7QJ73.html" rel="bookmark" class="title">卸载MySQL软件</a>
					<div>
						我们查看&quot;开始&quot;--&gt;&quot;程序&quot;--&gt;&quot;MySQL Server 5.5&quot; 菜单中却发现没有专门卸载MySQL的菜单命令,那么如何 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OZlBG0.html" rel="bookmark" class="title">php自学笔记3</a>
					<div>
						-------补充--------建议定义常量时,判断常量名是否被定义,用defined()判断,返回布尔型if(!defined(&quot;POEM&quot;)){//没定义过 define(& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/022Kp20.html" rel="bookmark" class="title">用spring aop实现动态代理的例子</a>
					<div>
						下面由我来给大家展示用spring aop实现动态代理的例子(电脑打印) 下面就看一下具体的代码: 先定义一个打印机的接口 1 package aop007_ComPrint; 2 3 public  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lkAXBM.html" rel="bookmark" class="title">Win10全亮色主题概念设计：一夜回到Windows 95</a>
					<div>
						微软在Win10系统融合了此前Windows Phone中的大量内容,包括设计元素,在一个Win10核心的基础上,Windows10 PC和Win10 Mobile最统一的,相似度最高,Win10 U ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWqANy3.html" rel="bookmark" class="title">（转）终极讨论：华为和阿里到底谁强谁弱</a>
					<div>
						本人一码农,从事通信行业,在杭州,对华为和阿里都有一些接触,拒过华为offer,被阿里鄙视过.这几天趁着华为大战阿里的风头来赚点分,各位看官且听为来侃侃华为和阿里,一些资料来自互联网,一些是自己的看法 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rbkkX3.html" rel="bookmark" class="title">CentOS 7安装iptables服务，以及常用命令</a>
					<div>
						之前使用的是CentOS6.5,并且学艺不精,用啥查啥,用完就忘.并且网上大部分资料是基于CentOS7之前的版本. 在CentOS7中,默认的防火墙不是iptables,而是firewalld.而且 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/471GKk0.html" rel="bookmark" class="title">找富婆的好处</a>
					<div>
						找富婆的好处对于这样的问题,我觉得每个人都应该有辩证的角度去思考,很多人会不理解,因为这样的现象就是一种非常丢脸的,但是我们不知道其实被也是一种能力,为什么别人不会被,那是因为别人的条件没有我们这么好 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDNmvp3.html" rel="bookmark" class="title">Could not launch process failed&colon;security</a>
					<div>
						报错 时如上图   是因为  用了 企业的开发者账号   安装的时候需要  在 手机的设置中  找到 描述文件   然后点击信任这个对应的证书   才能使用这个由企业号发布的应用.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35NoWv4.html" rel="bookmark" class="title">数据结构与算法分析（8）表、栈和队列（三）</a>
					<div>
						    介绍队列的相关知识:     (3)队列ADT: 像栈一样,队列也是表.然而,使用队列时插入在一端进行而删除在另一端进行. 3.1队列模型 队列的基本操作是Enqueue(入队),它是在表的末 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBjp1jM.html" rel="bookmark" class="title">睦蜒狼嗣栖uk158bcg</a>
					<div>
						首页时政国际国内财经文娱生活图片视频专栏双语爱出国 移动新媒体 中国搜索 中文国际 &gt; 独家 香港富商刘銮雄斥4.8亿购两颗巨钻赠爱女 曾因行贿被判刑 中国日报网信莲2015-11-12 17: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzXNNJ3.html" rel="bookmark" class="title">jquery搜索和设置元素</a>
					<div>
						文章摘自:http://blog.chinaunix.net/uid-26957269-id-3530689.html 搜索元素 1.利用标签名获取元素 $(&quot;标签名&quot;) 2.通过 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
